EventType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Class EventType<T>

    java.lang.Object
      org.hibernate.event.spi.EventType<T>

    public class EventType<T>

extends Object

Enumeration of the recognized types of events, including meta-information about each.

Field Summary
`static EventType<AutoFlushEventListener>` | `AUTO_FLUSH`
`static EventType<DeleteEventListener>` | `DELETE`
`static EventType<DirtyCheckEventListener>` | `DIRTY_CHECK`
`static Map<String,EventType>` | `eventTypeByNameMap` Maintain a map of `EventType` instances keyed by name for lookup by name as well as `values()` resolution.
`static EventType<EvictEventListener>` | `EVICT`
`static EventType<FlushEventListener>` | `FLUSH`
`static EventType<FlushEntityEventListener>` | `FLUSH_ENTITY`
`static EventType<InitializeCollectionEventListener>` | `INIT_COLLECTION`
`static EventType<LoadEventListener>` | `LOAD`
`static EventType<LockEventListener>` | `LOCK`
`static EventType<MergeEventListener>` | `MERGE`
`static EventType<PersistEventListener>` | `PERSIST`
`static EventType<PersistEventListener>` | `PERSIST_ONFLUSH`
`static EventType<PostCollectionRecreateEventListener>` | `POST_COLLECTION_RECREATE`
`static EventType<PostCollectionRemoveEventListener>` | `POST_COLLECTION_REMOVE`
`static EventType<PostCollectionUpdateEventListener>` | `POST_COLLECTION_UPDATE`
`static EventType<PostDeleteEventListener>` | `POST_COMMIT_DELETE`
`static EventType<PostInsertEventListener>` | `POST_COMMIT_INSERT`
`static EventType<PostUpdateEventListener>` | `POST_COMMIT_UPDATE`
`static EventType<PostDeleteEventListener>` | `POST_DELETE`
`static EventType<PostInsertEventListener>` | `POST_INSERT`
`static EventType<PostLoadEventListener>` | `POST_LOAD`
`static EventType<PostUpdateEventListener>` | `POST_UPDATE`
`static EventType<PreCollectionRecreateEventListener>` | `PRE_COLLECTION_RECREATE`
`static EventType<PreCollectionRemoveEventListener>` | `PRE_COLLECTION_REMOVE`
`static EventType<PreCollectionUpdateEventListener>` | `PRE_COLLECTION_UPDATE`
`static EventType<PreDeleteEventListener>` | `PRE_DELETE`
`static EventType<PreInsertEventListener>` | `PRE_INSERT`
`static EventType<PreLoadEventListener>` | `PRE_LOAD`
`static EventType<PreUpdateEventListener>` | `PRE_UPDATE`
`static EventType<RefreshEventListener>` | `REFRESH`
`static EventType<ReplicateEventListener>` | `REPLICATE`
`static EventType<ResolveNaturalIdEventListener>` | `RESOLVE_NATURAL_ID`
`static EventType<SaveOrUpdateEventListener>` | `SAVE`
`static EventType<SaveOrUpdateEventListener>` | `SAVE_UPDATE`
`static EventType<SaveOrUpdateEventListener>` | `UPDATE`

Method Summary
`Class` | `baseListenerInterface()`
`String` | `eventName()`
`static EventType` | `resolveEventTypeByName(String eventName)` Find an `EventType` by its name
`String` | `toString()`
`static Collection<EventType>` | `values()` Get a collection of all `EventType` instances.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOAD

    public static final EventType<LoadEventListener> LOAD

### RESOLVE_NATURAL_ID

    public static final EventType<ResolveNaturalIdEventListener> RESOLVE_NATURAL_ID

### INIT_COLLECTION

    public static final EventType<InitializeCollectionEventListener> INIT_COLLECTION

### SAVE_UPDATE

    public static final EventType<SaveOrUpdateEventListener> SAVE_UPDATE

### UPDATE

    public static final EventType<SaveOrUpdateEventListener> UPDATE

### SAVE

    public static final EventType<SaveOrUpdateEventListener> SAVE

### PERSIST

    public static final EventType<PersistEventListener> PERSIST

### PERSIST_ONFLUSH

    public static final EventType<PersistEventListener> PERSIST_ONFLUSH

### MERGE

    public static final EventType<MergeEventListener> MERGE

### DELETE

    public static final EventType<DeleteEventListener> DELETE

### REPLICATE

    public static final EventType<ReplicateEventListener> REPLICATE

### FLUSH

    public static final EventType<FlushEventListener> FLUSH

### AUTO_FLUSH

    public static final EventType<AutoFlushEventListener> AUTO_FLUSH

### DIRTY_CHECK

    public static final EventType<DirtyCheckEventListener> DIRTY_CHECK

### FLUSH_ENTITY

    public static final EventType<FlushEntityEventListener> FLUSH_ENTITY

### EVICT

    public static final EventType<EvictEventListener> EVICT

### LOCK

    public static final EventType<LockEventListener> LOCK

### REFRESH

    public static final EventType<RefreshEventListener> REFRESH

### PRE_LOAD

    public static final EventType<PreLoadEventListener> PRE_LOAD

### PRE_DELETE

    public static final EventType<PreDeleteEventListener> PRE_DELETE

### PRE_UPDATE

    public static final EventType<PreUpdateEventListener> PRE_UPDATE

### PRE_INSERT

    public static final EventType<PreInsertEventListener> PRE_INSERT

### POST_LOAD

    public static final EventType<PostLoadEventListener> POST_LOAD

### POST_DELETE

    public static final EventType<PostDeleteEventListener> POST_DELETE

### POST_UPDATE

    public static final EventType<PostUpdateEventListener> POST_UPDATE

### POST_INSERT

    public static final EventType<PostInsertEventListener> POST_INSERT

### POST_COMMIT_DELETE

    public static final EventType<PostDeleteEventListener> POST_COMMIT_DELETE

### POST_COMMIT_UPDATE

    public static final EventType<PostUpdateEventListener> POST_COMMIT_UPDATE

### POST_COMMIT_INSERT

    public static final EventType<PostInsertEventListener> POST_COMMIT_INSERT

### PRE_COLLECTION_RECREATE

    public static final EventType<PreCollectionRecreateEventListener> PRE_COLLECTION_RECREATE

### PRE_COLLECTION_REMOVE

    public static final EventType<PreCollectionRemoveEventListener> PRE_COLLECTION_REMOVE

### PRE_COLLECTION_UPDATE

    public static final EventType<PreCollectionUpdateEventListener> PRE_COLLECTION_UPDATE

### POST_COLLECTION_RECREATE

    public static final EventType<PostCollectionRecreateEventListener> POST_COLLECTION_RECREATE

### POST_COLLECTION_REMOVE

    public static final EventType<PostCollectionRemoveEventListener> POST_COLLECTION_REMOVE

### POST_COLLECTION_UPDATE

    public static final EventType<PostCollectionUpdateEventListener> POST_COLLECTION_UPDATE

### eventTypeByNameMap

    public static final Map<String,EventType> eventTypeByNameMap

  Maintain a map of `EventType` instances keyed by name for lookup by name as well as `values()` resolution.

Method Detail

### resolveEventTypeByName

    public static EventType resolveEventTypeByName(String eventName)

  Find an `EventType` by its name

  Parameters:
    `eventName` - The name
  Returns:
    The `EventType` instance.
  Throws:
    `HibernateException` - If eventName is null, or if eventName does not correlate to any known event type.

### values

    public static Collection<EventType> values()

  Get a collection of all `EventType` instances.

  Returns:
    All `EventType` instances

### eventName

    public String eventName()

### baseListenerInterface

    public Class baseListenerInterface()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.